//------------------------------------------------------------------------------
// Copyright (c) 2008 www.dnaide.com
// Licensed under the MIT (MIT-LICENSE.txt)
//------------------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Text;

namespace DNAide.Configuration
{
	public class HttpErrorModuleConfig : ConfigurationElement
	{
		[ConfigurationProperty("enabled", DefaultValue = true, IsRequired = false)]
		public Boolean Enabled
		{
			get
			{
				return (bool)this["enabled"];
			}
			set
			{
				this["enabled"] = value;
			}
		}

		[ConfigurationProperty("rules", IsRequired = false, IsDefaultCollection = true)]
		public HttpErrorModuleRuleConfigCollection Rules
		{
			get
			{
				return (HttpErrorModuleRuleConfigCollection)this["rules"];
			}
		}
	}
}
