//------------------------------------------------------------------------------
// Copyright (c) 2008 www.dnaide.com
// Licensed under the MIT (MIT-LICENSE.txt)
//------------------------------------------------------------------------------
namespace DNAide.Web.UI.Scripts
{
	/// <summary>
	/// DNAideScriptResource
	/// </summary>
	public enum DNAideScriptResource
	{
		/// <summary>SwfObject</summary>
		SwfObject = 0,
		/// <summary>ImagePreloader</summary>
		ImagePreloader = 1,
		/// <summary>JQuery</summary>
		JQuery = 2,
		/// <summary>JQueryStringAide</summary>
		JQueryStringAide = 3,
		/// <summary>JQueryValidationAide</summary>
		JQueryValidationAide = 4,
		/// <summary>JQueryDefaultButton</summary>
		JQueryDefaultButton = 5,
		/// <summary>JQueryDatePicker</summary>
		JQueryDatePicker = 6,
		/// <summary>JQueryDimensions</summary>
		JQueryDimensions = 7,
		/// <summary>XmlStringParser</summary>
		XmlStringParser = 8,
		/// <summary>JQueryAjaxAide</summary>
		JQueryAjaxAide = 9,
		/// <summary>Date</summary>
		Date = 10,
		/// <summary>JQueryBgIFrame</summary>
		JQueryBgIFrame = 11,
		/// <summary>JQuery1_1</summary>
		JQuery1_1 = 12
	}


	/// <summary>ScriptObfuscateType</summary>
	public enum ScriptObfuscateType
	{
		/// <summary>None</summary>
		None = 1,
		/// <summary>Minify</summary>
		Minify = 2,
		/// <summary>Pack</summary>
		Pack = 3
	}


	/// <summary>ScriptType</summary>
	public enum ScriptType
	{
		/// <summary>Embed</summary>
		Embed = 1,
		/// <summary>Include</summary>
		Include = 2,
		/// <summary>DNAideResource</summary>
		DNAideResource = 3,
		/// <summary>IncludeNoCache</summary>
		IncludeNoCache = 4
	}


	/// <summary>ScriptRegisterLocationType</summary>
	public enum ScriptRegisterLocationType
	{
		/// <summary>Head</summary>
		Head = 1,
		/// <summary>Form</summary>
		Form = 2,
		/// <summary>Control</summary>
		Control = 3
	}

}