//------------------------------------------------------------------------------
// Copyright (c) 2008 www.dnaide.com
// Licensed under the MIT (MIT-LICENSE.txt)
//------------------------------------------------------------------------------
namespace DNAide.Drawing
{
	/// <summary>
	/// Image type
	/// </summary>
	public enum ImageType
	{
		/// <summary>Gif</summary>
		Gif,
		/// <summary>Jpeg</summary>
		Jpeg
	}

	/// <summary>
	/// For more info see: http://www.codeproject.com/cs/media/edge_detection.asp
	/// </summary>
	public enum EdgeDetectType
	{
		/// <summary>Kirsh</summary>
		Kirsh,
		/// <summary>Prewitt</summary>
		Prewitt,
		/// <summary>Sobel</summary>
		Sobel
	}

	/// <summary>
	/// DrawPosition
	/// </summary>
	public enum DrawPosition
	{
		/// <summary>TopLeft</summary>
		TopLeft,
		/// <summary>TopCenter</summary>
		TopCenter,
		/// <summary>TopRight</summary>
		TopRight,
		/// <summary>CenterLeft</summary>
		CenterLeft,
		/// <summary>CenterCenter</summary>
		CenterCenter,
		/// <summary>CenterRight</summary>
		CenterRight,
		/// <summary>BottomLeft</summary>
		BottomLeft,
		/// <summary>BottomCenter</summary>
		BottomCenter,
		/// <summary>BottomRight</summary>
		BottomRight
	}

	/// <summary>
	/// ResizeAndCropToFitPosition
	/// </summary>
	public enum ResizeAndCropToFitPosition
	{
		/// <summary>TopOrLeft</summary>
		TopOrLeft,
		/// <summary>Center</summary>
		Center,
		/// <summary>BottomOrRight</summary>
		BottomOrRight
	}
}
